/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.owl.ui.actions;

/**
 * @author Tania Tudorache <tudorache@stanford.edu>
 *
 */
public interface OWLModelActionConstants {

	/*
	 * OWL Menu
	 */
	
	public final static String INFERENCE_GROUP = "1_Inference";
		
	public final static String QUERY_GROUP = "2_Query";
	
	public final static String MODEL_OPERATIONS_GROUP = "3_Model_Operation";
	
	public final static String REPOSITORY_GROUP = "4_Repository";
	
	public final static String OWL_TESTS_GROUP = "5_OWLTest";
	
	public final static String PREFERENCES_GROUP = "9_Preferences";
	
	
	/*
	 * Code Menu
	 */
		
	public final static String JAVA_CODE_GROUP = "1_Java_Code";
		
	public final static String ONT_LANGUAGE_GROUP = "2_Ontology_Language";
	
	
	/*
	 * Help Menu
	 */
	
	public final static String HELP_GROUP = "Help";
	
	
}
